.card {
    width: 320px;
    height: 190px;
    -webkit-perspective: 600px;
    -moz-perspective: 600px;
    perspective: 600px;
    margin: 0 auto;
}

.card__part {
    box-shadow: 1px 1px #aaa3a3;
    top: 0;
    position: absolute;
    z-index: 1000;
    left: 0;
    display: inline-block;
    width: 320px;
    height: 190px;
    background-image: linear-gradient(to right bottom, #d297cc, #763137, #58252d, #e58ed6, #000000);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 8px;

    -webkit-transition: all .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -moz-transition: all .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -ms-transition: all .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    -o-transition: all .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transition: all .5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transform-style: preserve-3d;
    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
}

.card__front {
    padding: 10px;
    transition-duration: 1000ms;
    transform: rotateY(0);
    -webkit-transform: rotateY(0);
    -moz-transform: rotateY(0);
}

.card__back {
    padding: 18px 0;
    transition-duration: 1000ms;
    transform: rotateY(-180deg);
    -webkit-transform: rotateY(-180deg);
    -moz-transform: rotateY(-180deg);
}

.card__black_line {
    margin-top: 5px;
    height: 38px;
    background-color: #303030;
}

.card__namebank {
    height: 16px;
}

.card__front_namebank {
    position: absolute;
    right: 12px;
    color: #FFFFFF;
    padding: 0;
    margin: 0;
    display: table;
}

.card_icons {
    width: 100%;
    justify-content: space-between;
    position: relative;
    display: inline-flex;
    top: 30px;
}

.card_ship {
    height: 45px;
    position: relative;
    border-radius: 5px;
}

.card__square {
    border-radius: 5px;
    height: 30px;
    position: relative;
    top: 5px;
}

.card_numer {
    display: block;
    width: 100%;
    word-spacing: 4px;
    font-size: 20px;
    letter-spacing: 2px;
    color: #fff;
    text-align: center;
    margin-bottom: 0px;
    margin-top: 40px;
    min-height: 29px;
}

.card__space_50 {
    width: 45%;
    float: left;
    margin-right: 5%;
}

.card__space_30 {
    width: 30%;
    float: left;
}

.card__space_20 {
    width: 20%;
    float: left;
}

.card__visa_logo {
    width: 100%;
    float: left;
}

.card__label {
    font-size: 10px;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 0.8);
    letter-spacing: 1px;
}

.card__info {
    margin-bottom: 0;
    margin-top: 5px;
    font-size: 12px;
    line-height: 18px;
    color: #fff;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-overflow: ellipsis;
    width: 100%;
    overflow: hidden;
    display: inline-block;
    white-space: nowrap;
}

.card__back_content {
    padding: 15px 15px 0;
}

.card__secret__last {
    color: #303030;
    text-align: right;
    margin: 0;
    font-size: 14px;
    min-height: 22px;
}

.card__secret {
    padding: 5px 12px;
    background-color: #fff;
    position: relative;
}

.card__secret:before {
    content: '';
    position: absolute;
    top: -3px;
    left: -3px;
    height: calc(100% + 6px);
    width: calc(100% - 42px);
    border-radius: 4px;
    background: repeating-linear-gradient(45deg, #ededed, #ededed 5px, #f9f9f9 5px, #f9f9f9 10px);
}

.card__back_logo {
    position: absolute;
    bottom: 15px;
    right: 15px;
}

.card__back_square {
    position: absolute;
    bottom: 15px;
    left: 15px;
}

.card:hover .card__front, .front_card {
    transition-duration: 1000ms;
    transform: rotateY(180deg);
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);

}

.card:hover .card__back, .back_card {
    transition-duration: 1000ms;
    transform: rotateY(0deg);
    -webkit-transform: rotateY(0deg);
    -moz-transform: rotateY(0deg);
}